#ifndef __GPIO_H_INCLUDED
#define __GPIO_H_INCLUDED

#define GPIO_BUTTON_COUNT  4

#define GRB_STATE_BUTTON1  (1 << 0)
#define GRB_STATE_BUTTON2  (1 << 1)
#define GRB_STATE_BUTTON3  (1 << 2)
#define GRB_STATE_BUTTON4  (1 << 3)

#define GSB_BACKLIGHT_MAX   1023

extern int Gpio_setup(void);
extern void Gpio_cleanup(void);
extern int Gpio_read_buttons(void);
extern void Gpio_set_backlight(unsigned level);

#endif /* __GPIO_H_INCLUDED */
