#ifndef __FBINIT_H_INCLUDED
#define __FBINIT_H_INCLUDED

#include <stdint.h>

typedef struct tagFBINFO {
  uint32_t width;
  uint32_t height;
  uint32_t virtual_width;
  uint32_t virtual_height;
  uint32_t bpp;
  uint32_t linebytes;
  uint32_t screenbytes;
  uint16_t red_offset;
  uint16_t red_length;
  uint16_t red_mask;
  uint16_t green_offset;
  uint16_t green_length;
  uint16_t green_mask;
  uint16_t blue_offset;
  uint16_t blue_length;
  uint16_t blue_mask;
} FBINFO;
typedef const FBINFO * const PCFBINFO;

extern PCFBINFO Fb_Info;
extern uint16_t *Fb_Ptr;

extern int Fb_setup(void);
extern void Fb_cleanup(void);

#endif /* __FBINIT_H_INCLUDED */
